<?php
	//функция проверки публиковать ли новость вынесена в sg_cm_code.php
	
	$root1 = !isset($root1) ? "" : $root1;
	if(!file_exists("$catalog/css1.php"))exit("Не надо этот файл открывать!");
	include($catalog."/admin/db/zagl");include($catalog."/dict.php"); 
	if (strpos($zagl,'новости')===false && strpos($zagl,'НОВОСТИ')===false && strpos($zagl,'Новости')===false) { 
		if (strpos($zagl,'статьи')!==false || strpos($zagl,'СТАТЬИ')!==false || strpos($zagl,'Статьи')!==false) include($catalog."/dict1.php"); 
		elseif (strpos($zagl,'Публикации')!==false || strpos($zagl,'ПУБЛИКАЦИИ')!==false || strpos($zagl,'публикации')!==false) include($catalog."/dict2.php"); 
		elseif (!is_file($catalog."/user_dict.php")) { if (copy($catalog."/dict2.php", $catalog."/user_dict.php")) include($catalog."/user_dict.php"); }
		else include($catalog."/user_dict.php");
	}
	else include($catalog."/dict.php");
	
	$conf1=file("$catalog/admin/conf/sett1.txt");
	for($n=0;$n<count($conf1);$n++)$conf1[$n]=trim($conf1[$n]);
	if(!isset($_GET['id']))$size_img_cat=$conf1[21];
	else $size_img_cat=$conf1[51];
	$size_img_cat1=$conf1[51];
	if(!isset($over))include_once("$catalog/func.php");
	if(!isset($over))$over=true;
	
	$mset=file($root1.'sg_cm/conf/set.php');
	for($i=0; $i<count($mset); $i++) $mset[$i]=trim($mset[$i]);
	if ($mset[4]=="X5" && is_file($root1."res/imemail.inc.php")) {$incl=$root1."res/imemail.inc.php";}
	elseif (is_file($root1."sg_cm/include/email_libM.php")) {$incl=$root1."sg_cm/include/email_libM.php"; $mset[4]=="libM";}
	elseif (is_file($root1."res/imemail.inc.php")) {$incl=$root1."res/imemail.inc.php"; $mset[4]=="X5";}
	else exit("Не найден скрипт отправки почты");
	require($incl); 
	require ($root1.'sg_cm/include/mailtemplater.php');
	require ($root1.'sg_cm/root.php'); 
	
	//include_once("$catalog/css1.php"); убрал для переноса include css1 в head материнской страницы
	$list_news=array();
	$file=array();
	$file1=array();
	
	$cat=array();
	$id_cat=array();
	$cat=file("$catalog/admin/db/cat.txt");
	
	foreach($cat as $line)
	{
		$line=trim($line);
		$expl=explode("*",$line);
		$id_cat[$expl[0]]=$expl[1];
	}
	$link_page="";
	if(isset($_GET['c']) )
	{
		if(!is_numeric($_GET['c']) || !file_exists("$catalog/admin/db/cat/$_GET[c]"))
		{
			echo "<meta http-equiv=refresh content='0; url=$_SERVER[PHP_SELF]'>";
			exit();
		}
		$link_page="&c=$_GET[c]";
	}
	
	if(isset($_GET['id']))
	{
		
		//   if(!is_numeric($_GET['id']) || !file_exists("$catalog/admin/db/news/$_GET[id]"))
		if(!preg_match("/^[A-Za-z0-9_-]{2,130}$/",$_GET['id']) || !file_exists("$catalog/admin/db/news/$_GET[id]"))
		{
			echo "<meta http-equiv=refresh content='0; url=$_SERVER[PHP_SELF]'>";
			exit();
		}
		$link_page.="&id=$_GET[id]";
	}
	
	if(isset($_GET['sear'])) $id_sear="&sear=$_GET[sear]";
	else $id_sear="";
	
	
	//рейтинг
	if(isset($_GET['r']) &&  $conf1[64]=="1")
	{
		$ip1=file("$catalog/admin/db/ip/$_GET[id]");
		for($n=0;$n<count($ip1);$n++)$ip1[$n]=trim($ip1[$n]);
		if(in_array($_SERVER['REMOTE_ADDR'],$ip1) || ($_GET['r']!=1 && $_GET['r']!=2))
		{
			echo "<meta http-equiv=refresh content='0; url=$_SERVER[PHP_SELF]?id=$_GET[id]'>";
			exit();
		}
		$reyt=file("$catalog/admin/db/reyt/$_GET[id]");
		$f=fopen("$catalog/admin/db/reyt/$_GET[id]","w");
		if($_GET['r']==1) fwrite($f,++$reyt[0]);
		else  fwrite($f,--$reyt[0]);
		fclose($f);
		
		$f=fopen("$catalog/admin/db/ip/$_GET[id]","a");
		fwrite($f,$_SERVER['REMOTE_ADDR']."\r\n");
		fclose($f);
		
		echo "<meta http-equiv=refresh content='0; url=$_SERVER[PHP_SELF]?id=$_GET[id]#s'>";
		exit();
	}
	
	$arr_month=array("января","февраля","марта","апреля","мая","июня","июля","августа","сентября","октября","ноября","декабря");
	
	//все новости
	if(!isset($_GET['c']) && !isset($_GET['id']) && !isset($_GET['sear']))
	{
		//    echo"<title>Все новости</title>"; Подмена титлов SG;
		//if($_SERVER['PHP_SELF']!="news2.php") echo"<title>Новости</title>";
		$d=opendir("$catalog/admin/db/news");
		
		while(($e=readdir($d))!=false)
		
		{
			if($e =="." || $e ==".." || $e==".htaccess") continue;
			$file[]=$e;
			
		}
		closedir($d);
	}
	
	
	//категория
	if(isset($_GET['c']) && !isset($_GET['id']) && !isset($_GET['sear']))
	{
		//echo"<title>Новости&nbsp;::&nbsp;".$id_cat[$_GET['c']]."</title>";
		$file=file("$catalog/admin/db/cat/$_GET[c]");
		for($n=0;$n<count($file);$n++)$file[$n]=trim($file[$n]);
	}
	
	//поиск
	
	if(isset($_GET['sear']) && !isset($_GET['id']))
	{
		//Очистка
		$d=opendir("$catalog/admin/db/search");
		while(($e=readdir($d))!=false)
		{
			if($e =="." || $e ==".." || $e==".htaccess") continue;
			if((time()-$e) > 3600)unlink("$catalog/admin/db/search/$e");
		}
		closedir($d);
		if(!is_numeric($_GET['sear']) || !file_exists("$catalog/admin/db/search/$_GET[sear]"))
		{
			echo "<meta http-equiv=refresh content='0; url=$_SERVER[PHP_SELF]'>";
			exit();
		}
		$link_page="&sear=$_GET[sear]";
		// echo"<title>Новости&nbsp;::&nbsp;поиск</title>";
		$file=file("$catalog/admin/db/search/$_GET[sear]");
		for($n=0;$n<count($file);$n++)$file[$n]=trim($file[$n]);
	}
	
	if(count($file) )
	{
		foreach($file as $line)
		{
			$text=file("$catalog/admin/db/news/$line");
			$text[0]=trim($text[0]);
			$file1[$text[0]]=$line;
		}
		if(!isset($conf1[100]) || $conf1[100]!=2)  krsort($file1,SORT_NUMERIC);
		else ksort($file1,SORT_NUMERIC);
		foreach($file1 as $line) 
		{if (news_for_public($line)==1) // проверка отображать ли статью
			{$list_news[]=$line;}
		}
	}
	
	//Постраничная навигация
	$topic_count_page=$conf1[28];
	if(!isset($_GET['page']) || !is_numeric(@$_GET['page']) || @$_GET['page']<1 )$page=1;
	else $page=$_GET['page'];
	if($page > ceil(count($list_news)/ $topic_count_page))$page=1;
	$start=$page * $topic_count_page-$topic_count_page;
	$pages=ceil(count($list_news)/ $topic_count_page);
	if(empty($_GET['ind']) || !is_numeric(@$_GET['ind']) || @$_GET['ind']>ceil($pages/10)  || @$_GET['ind']<1)$index=1;
	else $index= $_GET['ind'];
	
	
	$n_p_news=array();$n_p_text=array();$next_prev=array(); 
	$str_navig="";$str_next_p="";
	if(isset($_GET['c']) || isset($_GET['sear']))
	{
		$str_navig="<a  href=$_SERVER[PHP_SELF]>".$dict['Все новости']."</a>";
		
	}
	
	// если пришли по id статьи без поиска
	if(isset($_GET['id']) &&  !isset($_GET['sear']))
	{
		$text=file("$catalog/admin/db/news/$_GET[id]");
		for($n=0;$n<count($text);$n++)$text[$n]=trim($text[$n]);
		$str_navig="<a href=$_SERVER[PHP_SELF]>".$dict['Все новости']."</a>";
		if($text[1]!="")$str_navig.="&nbsp;&#8594;&nbsp;<a  href='$_SERVER[PHP_SELF]?c=$text[1]'>".$id_cat[$text[1]]."</a>";
		// для навигации следующий предыдуший
		$i=0;
		$n_p_news = glob($catalog."/admin/db/news/*");
		foreach($n_p_news as $lne)
		{	if(news_for_public(basename($lne))==0)continue;
			$n_p_text=file($lne);
			$next_prev[trim($n_p_text[0])]=basename($lne);
		}
		krsort($next_prev,SORT_NUMERIC);$next_prev=array_values($next_prev);
		foreach($next_prev as $lne){
			if ($lne==$_GET['id']) { 
				if ($i-1>=0)$prev=$next_prev[$i-1]; else $prev=false;
				if ($i+1<count($next_prev)) $next=$next_prev[$i+1]; else $next=false;
			break;}
		$i++;} 
		$str_next_p = '<span class="next_prev"><br />';
		if ($prev!==false) {$str_next_p.='<a href='.$stranica.'/'.$prev.'.html>&lt;&lt;пред.</a>&nbsp;&nbsp;&nbsp;';}
		if ($next!==false) {$str_next_p.='<a href='.$stranica.'/'.$next.'.html>след.&gt;&gt;</a>';} 
		$str_next_p.= "</span>";  
	}
	// если пришли с результатов поиска
	if(isset($_GET['id']) &&  isset($_GET['sear']))
	{  $str_next_p='';
		$str_navig="<a  href=$_SERVER[PHP_SELF]>".$dict['Все новости']."</a>&nbsp;&#8594;&nbsp;<a  href='$_SERVER[PHP_SELF]?sear=$_GET[sear]'>Результат поиска</a>";
		
		// для навигации след-пред
		$i=0;
		$file=file($catalog."/admin/db/search/".$_GET['sear']);
		for($n=0;$n<count($file);$n++)$file[$n]=trim($file[$n]);
		if(count($file) )
		{
			foreach($file as $line)
			{ if(news_for_public($line)==0)continue;
				$n_p_text=file("$catalog/admin/db/news/$line");
				$n_p_text[0]=trim($n_p_text[0]);
				$next_prev[$n_p_text[0]]=$line;
			}
			krsort($next_prev,SORT_NUMERIC);
		}
		$next_prev=array_values($next_prev);
		foreach($next_prev as $lne){ 
			if ($lne==$_GET['id']) {  
				if ($i-1>=0)$prev=$next_prev[$i-1]; else $prev=false;
				if ($i+1<count($next_prev)) $next=$next_prev[$i+1]; else $next=false;
			break;}
		$i++;}
		$str_next_p = '<span class="next_prev"><br />';
		if ($prev!==false) {$str_next_p.='<a href='.$stranica.'/'.$prev.'.html&sear='.$_GET['sear'].'>&lt;&lt;пред.</a>&nbsp;&nbsp;&nbsp;';}
		if ($next!==false) {$str_next_p.='<a href='.$stranica.'/'.$next.'.html&sear='.$_GET['sear'].'>след.&gt;&gt;</a>';} echo '<span>';  
	}
	//
	$info="";
	$timestop=time();
	if(isset($_POST['go_comm']))
	{
		
		$_POST['comm_name']=trim($_POST['comm_name']);
		$_POST['comm_text']=trim($_POST['comm_text']);
		
		$_POST['comm_name']=htmlspecialchars($_POST['comm_name']);
		$_POST['comm_text']=htmlspecialchars($_POST['comm_text']);
		
		$_POST['comm_name']=stripcslashes($_POST['comm_name']);
		$_POST['comm_text']=stripcslashes($_POST['comm_text']);
		
		$mail_text=$_POST['comm_text'];
		$_POST['comm_text']=str_replace("\r\n","<br>",$_POST['comm_text']);
		//список
		$s_bl=false;
		$bl=array();
		$bl=file("$catalog/admin/db/bl.txt");
		foreach($bl as $line)
		{
			$line=trim($line);
			if($line==$_SERVER['REMOTE_ADDR'])
			{
				$s_bl=true;
				break;
			}
		}
		
		
		if($_POST['comm_name']!="" && $_POST['comm_text']!="" && is_numeric($_POST['an']) && ($timestop-$_POST['an'])> 5 &&  $_POST['an1']=="" && !$s_bl)
		{
			
			$text=file("$catalog/admin/db/news/$_GET[id]");
			for($n=0;$n<count($text);$n++)$text[$n]=trim($text[$n]);
			$time=time();
			$f=fopen("$catalog/admin/db/comm/$_GET[id]/$time","w+");
			fwrite($f,$_SERVER['REMOTE_ADDR']."\r\n".date("d.m.Y H:i")."\r\n".$_POST['comm_name']."\r\n".$_POST['comm_text']);
			fclose($f);
			
			//письмо
			if($conf1[70]!="")
			{
				$mess=
				"Здравствуйте!<br />На сайте <b>http://".ucfirst(rtrim($_SERVER['SERVER_NAME']."/".$sg_root,'/'))."</b> добавлен новый комментарий к статье <b>$text[2]</b>.<br /><br /><b>$_POST[comm_name]</b><br />$mail_text<br /><br />С уважением. Электронный администратор.";
				$nnews=array (0=>'');
				$t=array (0=>'',1=>'',2=>'',3=>'');
				$t[0]=ucfirst(rtrim($_SERVER['SERVER_NAME']."/".$sg_root,'/'));
				$nnews[0]=$mess;
				if ($mset[3]!='TXT') $mess=mailtemplater($nnews,$t);
				else $mess='';
				if ($mset[3]!='HTML')$mess_txt=mailtemplater_txt($nnews,$t);
				else $mess_txt='';
				$subj="Добавлен комментарий к статье";
				$to=$conf1[70];  require($root1."sg_cm/conf/email_set.php");
			}
			
			echo "<meta http-equiv=refresh content='0; url=$_SERVER[PHP_SELF]?id=$_GET[id]&amp;end=1$id_sear'>";
			exit();
		}
		else $info="Вы не ввели обязательные данные,<br /> либо слишком быстро составили отзыв,<br />
		или не имеете права их оставлять!<br /><br />";
		
		
	}
	
	if(isset($_POST['query']))
	{
		$_POST['query']=trim($_POST['query']);
		$_POST['query']=strip_tags($_POST['query']);
		$_POST['query']=stripcslashes($_POST['query']);
		if($_POST['query']!="")
		{
			$search=array();
			$d=opendir("$catalog/admin/db/news");
			while(($e=readdir($d))!=false)
			{
				if($e =="." || $e ==".." || $e==".htaccess") continue;
				$file_s=file("$catalog/admin/db/news/$e");
				$str="";
				$str1="";
				$str2="";
				// заменил функцию на mb_stristr --SG;
				$str= mb_stristr($file_s[2], $_POST['query']);
				$str1= mb_stristr($file_s[3], $_POST['query']);
				if(isset($file_s[4]))$str2= mb_stristr($file_s[4], $_POST['query']);
				if($str!="" || $str1!="" || $str2!="")$search[]=$e;
			}
			closedir($d);
			$time=time();
			$f=fopen("$catalog/admin/db/search/$time","w+");
			foreach($search as $line)fwrite($f,$line."\r\n");
			fclose($f);
			
			echo "<meta http-equiv=refresh content='0; url=$_SERVER[PHP_SELF]?sear=$time'>";
			exit();
		}
	}
	
	if(isset($_POST['mail']))
	{
		$_POST['mail']=trim($_POST['mail']);
		$_POST['mail']=strip_tags($_POST['mail']);
		$_POST['mail']=stripcslashes($_POST['mail']);
		$_POST['mail']=str_replace("*","",$_POST['mail']);
		if(!strstr($_POST['mail'], '@')) $info="Введите корректный адрес<br />";
		$user_mail=file("$catalog/admin/db/mail.txt");
		for($n=0;$n<count($user_mail);$n++)$user_mail[$n]=trim($user_mail[$n]);
		if(in_array($_POST['mail'],$user_mail))$info="Вы уже подписались.<br />";
		if($info=="")
		{
			$time=time();
			$deltat=$time-filemtime("$catalog/admin/db/id_mail.txt"); //очистим базу старых адресов 
			if($deltat > 2592000) $f=fopen("$catalog/admin/db/id_mail.txt","w+");
			else $f=fopen("$catalog/admin/db/id_mail.txt","a+");
			fwrite($f,$_POST['mail']."*".$time."\r\n");
			fclose($f);
			
			$mess=
			"Здравствуйте! На сайте <b>http://".ucfirst(rtrim($_SERVER['SERVER_NAME']."/".$sg_root,'/'))."</b> ".$dict['был указан ваш адрес для подписки на новости'].".<br />Если это были вы, то для подтверждения подписки перейдите по этой ссылке. Ссылка действительна сутки.<br />
			<a href='http://$_SERVER[SERVER_NAME]$_SERVER[PHP_SELF]?mail=$time'>http://$_SERVER[SERVER_NAME]$_SERVER[PHP_SELF]?mail=$time</a> <br /><br />С уважением. Электронный администратор.";
			$nnews=array (0=>'');
			$t=array (0=>'',1=>'',2=>'',3=>'');
			$t[0]=ucfirst(rtrim($_SERVER['SERVER_NAME']."/".$sg_root,'/'));
			$nnews[0]=$mess;
			if ($mset[3]!='TXT') $mess=mailtemplater($nnews,$t);
			else $mess='';
			if ($mset[3]!='HTML')$mess_txt=mailtemplater_txt($nnews,$t);
			else $mess_txt='';
			$subj='Подтверждение подписки';
			$to=$_POST['mail']; require($root1."sg_cm/conf/email_set.php");
			
			echo "<meta http-equiv=refresh content='0; url=$_SERVER[PHP_SELF]?id_sub=$time'>";
			exit();
		}
	}
	$flnm='';
	if (isset($_GET['id'])) $flnm=$root1."sg_cm/upload/pdf/".$_GET['id'].".pdf";
	echo "<table class='tmce tblw tbnav' style= 'background:$conf1[1];'>";
	echo "
	<tr><td  id=line_navig>";
	if($str_navig!="") echo $str_navig;
	else
	{
		if($conf1[95]!="") echo"<a  href='$_SERVER[PHP_SELF]?s_go=1'>поиск</a>&nbsp;&nbsp;&nbsp;&nbsp;";
		if($conf1[96]!="")  echo"<a  href='$_SERVER[PHP_SELF]?s_go=2'>подписка</a>";
	}
	if($str_navig=="" && $conf1[95]=="" && $conf1[96]=="") echo "&nbsp;";
	echo"</td><td id=cat_navig >";
	foreach($id_cat as $k=>$v)echo "<a  href='$_SERVER[PHP_SELF]?c=$k'>$v</a>&nbsp;&nbsp;&nbsp;&nbsp;";
	echo"</td></tr>";
	if (isset($_GET['id']) && file_exists($flnm))  
	{
		echo "<tr><td></td><td style=\"text-align:right;\"><a href=\"".$flnm."\" target=\"_blank\">
		Скачать в формате pdf</a> <a href=\"".$flnm."\"  target=\"_blank\"><img src=\"".$root1."sg_cm/sg_images/acroread1.png\" alt=\"pdf файл\" title=\"Скачать pdf файл\"/></a></td></tr>";
	}
	if(@$_GET['s_go']==1)
	{
		echo"<tr><td class=form_pdng colspan=2 align=center><form  method=post>";
		if($info!="")echo "<div class=sg_info>".$info."</div>"; 
		echo"<input name=query type=text size=50>&nbsp;
		<input id=sear_button type=submit value=Искать >
		</form></td></tr>";
	}
	
	if(@$_GET['s_go']==2)
	{
		echo"<tr><td colspan=2 align=center class=form_pdng ><form  method=post>";
		if($info!="")echo "<div class=sg_info>".$info."</div>";
		echo"<input name=mail type=text size=20 value=e-mail>&nbsp;
		<input id=sub_button type=submit value=Подписаться >
		</form>
		<label id='oferta'><input id='check_oferta' type='checkbox' checked  onchange=\"var selector_buttons='#sub_button, #button, #q_button'; if($(this).prop('checked')) {\$(selector_buttons).prop('disabled', false);} else {\$(selector_buttons).prop('disabled', true);}\"/> <a style='font-size:80%;' href='oferta.php' target=_blank> Подтверждаю свое согласие на обработку вносимых в форму моих персональных данных </a> </label>
		</td></tr>";
	}
	
	if(isset($_GET['id_sub']))
	{
		$file_sub=file("$catalog/admin/db/id_mail.txt");
		foreach($file_sub as $line)
		{
			$line=trim($line);
			$expl=explode("*",$line);
			if($expl[1]==$_GET['id_sub'])
			{
				echo"<tr><td class=form_pdng colspan=2 ><div class=sg_info>Спасибо. На указанный e-mail отправлены дальнейшие инструкции.</div></td></tr>";
				break;
			}
		}
	}
	
	if(isset($_GET['unsub']))
	{
		$file_mail=file("$catalog/admin/db/mail.txt");
		for($n=0;$n<count($file_mail);$n++)$file_mail[$n]=trim($file_mail[$n]);
		if(in_array($_GET['unsub'],$file_mail))
		{
			$f=fopen("$catalog/admin/db/mail.txt","w");
			foreach($file_mail as $line)
			{
				if($line==$_GET['unsub'])continue;
				fwrite($f,$line."\r\n");
			}
			fclose($f);
			echo"<tr><td class=form_pdng colspan=2 ><div class=sg_info>Вы отписаны от рассылки</div></td></tr>";
		}
		else echo"<tr><td class=form_pdng colspan=2 ><div class=sg_info>Адрес не найден</div></td></tr>";
		
	}
	
	
	
	if(isset($_GET['mail']) && is_numeric(@$_GET['mail']))
	{
		$user_mail="";
		$file_sub=file("$catalog/admin/db/id_mail.txt");
		$f=fopen("$catalog/admin/db/id_mail.txt","w");
		foreach($file_sub as $line)
		{
			$line=trim($line);
			$expl=explode("*",$line);
			if($_GET['mail']==$expl[1]) $user_mail=$expl[0];
			if($_GET['mail']==$expl[1] || time()-$expl[1] > 86400)  continue;
			fwrite($f,$line."\r\n");
		}
		fclose($f);
		if($user_mail!="")
		{
			$f=fopen("$catalog/admin/db/mail.txt","a+");
			fwrite($f,$user_mail."\r\n");
			fclose($f);
			echo"<tr><td class=form_pdng colspan=2 ><div class=sg_info>Спасибо. ".$dict['Вы подписаны на новости сайта'].".</div></td></tr>";
		}
		else echo"<tr><td class=form_pdng colspan=2 ><div class=sg_info>Ссылка не найдена.</div></td></tr>";
	}
	
	echo"</table>";
	
	
	if(count($list_news))
	{
		echo "<table style= 'background:$conf1[1]; border:0;'  class='tmce tblw ' >";
		
		
		for($x=$start,$y=0; $x<count($list_news); $x++,$y++)
		{
			if($y==$topic_count_page)break;
			$text=file("$catalog/admin/db/news/$list_news[$x]");
			for($n=0;$n<count($text);$n++)$text[$n]=trim($text[$n]);
			//настройки даты
			$get_date=getdate($text[0]);
			
			$view_date=date("d",$text[0]);
			if($conf1[4]==1) $view_date.=".".date("m",$text[0]);
			else $view_date.=".".$arr_month[$get_date['mon']-1];
			
			if($conf1[3]==1) $view_date.=".".date("y",$text[0]);
			else $view_date.=".".date("Y",$text[0]);
			if($conf1[5]==1) $view_date.=" ".date("H:i",$text[0]);
			if($conf1[4]==2)$view_date=str_replace("."," ",$view_date);
			
			$foto=array();
			$foto=file("$catalog/admin/db/id_foto/$list_news[$x]");
			
			if(isset($text[4]))
			{
				if(!isset($_GET['sear']))
				{
					//      $links1="<a href='$_SERVER[PHP_SELF]?id=$list_news[$x]'>$text[2]</a>";
					//      $links2=	"<a href='$_SERVER[PHP_SELF]?id=$list_news[$x]'>$text[3]</a>";
					$links1="<a href='".$stranica."/$list_news[$x].html'>$text[2]</a>";
					$links2=	"<a href='".$stranica."/$list_news[$x].html'>$text[3]</a>";
					
				}
				else
				{
					//             $links1="<a href='$_SERVER[PHP_SELF]?sear=$_GET[sear]&amp;id=$list_news[$x]'>$text[2]</a>";
					//            $links2=	"<a href='$_SERVER[PHP_SELF]?sear=$_GET[sear]&amp;id=$list_news[$x]'>$text[3]</a>";
					$links1="<a href='".$stranica."/$list_news[$x].html&sear=$_GET[sear]'>$text[2]</a>";
					$links2="<a href='".$stranica."/$list_news[$x].html&sear=$_GET[sear]'>$text[3]</a>";;
				}
			}
			else
			{
				$links1=$text[2];
				$links2=$text[3];
			}
			
			echo "<tr>";
			if($conf1[22]==1)
			{
				echo"<td class='valtop w10 pdng1'>";
				if(count($foto))foto(trim($foto[0]));
				else echo"&nbsp;";
				echo"</td>";
			}
			echo"<td class='valtop pdng'>";
			if($text[1]!="") $link_cat="<span class=link_cat><a href='$_SERVER[PHP_SELF]?c=$text[1]'>[".$id_cat[$text[1]]."]</a></span><br />";
			else $link_cat="";
			
			if($conf1[2]==1 && !isset($_GET['c']) ) echo "<span class=date_news>$view_date</span>&nbsp;&nbsp;$link_cat";
			if($conf1[2]==1 && isset($_GET['c'])) echo "<span class=date_news>$view_date</span><br>";
			
			if($conf1[2]==3 && !isset($_GET['c'])) echo "$link_cat<span class=date_news>$view_date</span>&nbsp;&nbsp;";
			if($conf1[2]==3 && isset($_GET['c'])) echo "<span class=date_news>$view_date</span>&nbsp;&nbsp;";
			
			if($conf1[2]==1 && !isset($_GET['c']) && $text[1]=="")echo"<br>";
			if(($conf1[2]==2 || $conf1[2]==4) && !isset($_GET['c'])) echo $link_cat;
			if($text[2]!="" && $conf1[98]==1) echo "<span class=head_news >$links1</span>";
			if($conf1[99]==1) echo"<div class=resume_news>$links2...</div>";
			if($conf1[2]==2 ) echo  "<div align=right class=date_news>$view_date</div>";
			echo"</td></tr>";
		}
		
		echo "</table>";
	}
	
	else
	{
		if(isset($_GET['id']))
		{
			$text=file("$catalog/admin/db/news/$_GET[id]");
			for($n=0;$n<count($text);$n++)$text[$n]=trim($text[$n]);
			if($text[2]!="") $titl=$text[2];
			else $titl=substr($text[3],0,25)."...";
			
			//echo"<title>$titl</title>";
			
			echo "<table style= 'background:$conf1[1]; border:0;'  class='tmce tblw news_full_text' >";
			if(!isset($text[4]))$text[4]=$dict['Полный текст новости отсутствует'];
			$foto=array();
			$foto=file("$catalog/admin/db/id_foto/$_GET[id]");
			//настройки даты
			$get_date=getdate($text[0]);
			
			$view_date=date("d",$text[0]);
			if($conf1[31]==1) $view_date.=".".date("m",$text[0]);
			else $view_date.=".".$arr_month[$get_date['mon']-1];
			
			if($conf1[30]==1) $view_date.=".".date("y",$text[0]);
			else $view_date.=".".date("Y",$text[0]);
			if($conf1[32]==1) $view_date.=" ".date("H:i",$text[0]);
			if($conf1[31]==2)$view_date=str_replace("."," ",$view_date);
			
			//анализ фото
			$count_foto_text=substr_count($text[4],"[foto]");
			/*				if($conf1[50]==1) $prom=1+$count_foto_text;
				else $prom=$count_foto_text;
				echo "<tr>";
				
				if($conf1[49]==2 && (count($foto)>$prom))
				{
				echo"<td class='valtop w10 pdng1'> ";
				for($n=$prom; $n<count($foto);$n++ )
				{
				$foto[$n]=trim($foto[$n]);
				foto($foto[$n]);
				echo"<br><br />";
				}
				echo "</td>";
			} */
			echo "<tr>"; echo "<td class='valtop pdng'>";
			if($conf1[29]==1)echo "<span class=date1_news>$view_date</span><br />";
			if($conf1[29]==3)echo "<span class=date1_news>$view_date</span>&nbsp;&nbsp;";
			if($conf1[97]==1)    echo  "<span class=head1_news >$text[2]</span><br />";
			
			echo"<div class='text_news'>";
			if(isset($_GET['comm']) || isset($_GET['end']))
			{
				// <div align=right><a href='$_SERVER[PHP_SELF]?id=$_GET[id]$id_sear#s'>закрыть</a></div>";            
				echo"<div id=win >
				<div align=right><a class=closewin href='$stranica/$_GET[id].html$id_sear#s' >закрыть</a></div>";
				if(isset($_GET['comm']))
				{
					
					echo"<form   method=post>";
					if($info!="")echo $info;
					echo"имя<br />
					<input name=comm_name type=text ><br /><br />
					комментарий<br />
					<textarea name=comm_text rows=4 cols=50></textarea>
					<input name=an  type=hidden value=".time()."  >
					<input name=an1  type=hidden  >
					<br /><br />
					<input type=submit value=Отправить name=go_comm id=button>
					</form>
					<label id='oferta'><input id='check_oferta' type='checkbox' checked  onchange=\"var selector_buttons='#sub_button, #button, #q_button'; if($(this).prop('checked')) {\$(selector_buttons).prop('disabled', false);} else {\$(selector_buttons).prop('disabled', true);}\"/> <a style='font-size:80%;' href='oferta.php' target=_blank> Подтверждаю свое согласие на обработку вносимых в форму моих персональных данных </a> </label>";
				}
				if(isset($_GET['end']))
				{
					echo "<div class=form_pdng style=\"background-color:white; font-color:black;text-align:center;\"><br />Спасибо. Ваш комментарий добавлен!</div>";
				}
				echo"</div>";
			}
			if(count($foto) && $conf1[50]==1 && $conf1[49]==2) foto1(trim($foto[0]));
			elseif(count($foto) && $conf1[50]==1 && $conf1[49]==1) foto2(trim($foto[0]));
			if($conf1[50]==1) $prom=1;
			else $prom=0;
			for($n=$prom,$c=0;$n<count($foto);$n++,$c++)
			{
				if($count_foto_text==$c)break;
				$foto[$n]=trim($foto[$n]);
				$size_img=array();
				//Размер
				$size_img=getimagesize("$catalog/admin/foto/$foto[$n]");
				
				$w_f=$size_img[0];
				$h_f=$size_img[1];
				if($size_img[0]>$size_img_cat)
				{
					$balans=$size_img[0]/$size_img_cat;
					if(round($balans)>=1)
					{
						$size_img[0]=$size_img[0]/$balans;
						$size_img[1]=$size_img[1]/$balans;
					}
					
				}
				if($size_img[1]>$size_img_cat)
				{
					$balans=$size_img[1]/$size_img_cat;
					if(round($balans)>=1)
					{
						$size_img[0]=$size_img[0]/$balans;
						$size_img[1]=$size_img[1]/$balans;
					}
				}
				$text[4]=preg_replace("/\[foto\]/i","<div >
				<img src=$catalog/admin/foto/$foto[$n] width=$size_img[0] height=$size_img[1] class=\"c_$conf1[52]\"  title=foto alt=$titl></div>",$text[4],1);
			}
			$text[4]=str_replace("[foto]","",$text[4]);
			
			if 	(strpos($text[4],'?>')){
				$text4_arr1=explode('?>',$text[4]);
				foreach($text4_arr1 as $k=>$v){
					$text4_arr2=explode('<?',$v);
					echo $text4_arr2[0]; 
					if (array_key_exists ( 1 ,$text4_arr2 )&& strlen($text4_arr2[1])<66) {
						if (substr($text4_arr2[1],0,3)=='php'){$text4_arr2[1]=substr_replace($text4_arr2[1],'',0,3);} 
					eval(trim($text4_arr2[1]));}
				} echo "</div>";
			} 
			else echo"$text[4]</div>";
			if($conf1[29]==2 ) echo  "<div align=right class=date1_news>$view_date</div>";
			//рейтинг и пр
			if(filesize("$catalog/admin/db/stat/$_GET[id]")==0)
			{
				$f=fopen("$catalog/admin/db/stat/$_GET[id]","w");
				fwrite($f,"0");
				fclose($f);
			}
			
			
			if(filesize("$catalog/admin/db/reyt/$_GET[id]")==0)
			{
				$f=fopen("$catalog/admin/db/reyt/$_GET[id]","w");
				fwrite($f,"0");
				fclose($f);
			}
			
			$stat=file("$catalog/admin/db/stat/$_GET[id]");
			if(!isset($_GET['r']) && !isset($_GET['page']) && !isset($_GET['comm']))
			{
				$f=fopen("$catalog/admin/db/stat/$_GET[id]","w");
				fwrite($f,++$stat[0]);
				fclose($f);
			}
			
			$comm=array();
			if($conf1[71]==1)
			{
				$d=opendir("$catalog/admin/db/comm/$_GET[id]");
				while(($e=readdir($d))!=false)
				{
					if($e =="." || $e ==".." || $e==".htaccess") continue;
					$comm[]=$e;
				}
				closedir($d);
				rsort($comm,SORT_NUMERIC);
			}
			
			// Строка навигации предыдущий-следующий
			echo $str_next_p;
			//
			$reyt=file("$catalog/admin/db/reyt/$_GET[id]");
			$ip1=file("$catalog/admin/db/ip/$_GET[id]");
			for($n=0;$n<count($ip1);$n++)$ip1[$n]=trim($ip1[$n]);
			echo  "<a id=s></a>";
			if($conf1[63]==1 || $conf1[64]==1 || $conf1[71]==1)echo"<div  id=reyt><BR/>";
			if($conf1[63]==1)echo"Просмотров $stat[0]&nbsp;&nbsp;&nbsp;&nbsp;";
			if($conf1[64]==1)
			{
				echo"Рейтинг $reyt[0]&nbsp;&nbsp;&nbsp;";
				if(!in_array($_SERVER['REMOTE_ADDR'],$ip1))echo $dict['Понравилась новость']."?&nbsp;&nbsp;&nbsp;
				<a onclick='document.location.href=\"$_SERVER[PHP_SELF]?id=$_GET[id]&amp;r=1$id_sear#s\"; return false;' href='$_SERVER[PHP_SELF]?id=$_GET[id]&amp;r=1$id_sear#s' title='+1'><img src=$catalog/admin/img/star2.png  alt='+1' ></a>
				&nbsp;&nbsp;<a onclick='document.location.href=\"$_SERVER[PHP_SELF]?id=$_GET[id]&amp;r=2$id_sear#s\"; return false;' href='$_SERVER[PHP_SELF]?id=$_GET[id]&amp;r=2$id_sear#s' title='-1'><img src=$catalog/admin/img/star1.png  alt='-1' ></a>
				&nbsp;&nbsp;&nbsp;";
			}
			//         if($conf1[71]==1)echo "<a href='$_SERVER[PHP_SELF]?id=$_GET[id]&amp;comm=1$id_sear'>Добавить комментарий</a>&nbsp;&nbsp;(".count($comm).")";
			if($conf1[71]==1)echo "<a href='$stranica/$_GET[id].html&amp;comm=1$id_sear'>Добавить&nbsp;комментарий</a>&nbsp;&nbsp;(".count($comm).")";
			if($conf1[63]==1 || $conf1[64]==1 || $conf1[71]==1)echo"</div><br />";
			
			
			//код
			$code="";
			$f=fopen("$catalog/admin/db/code/$_GET[id]","r");
			$code=fread($f,2000);
			fclose($f);
			if($code!="")  echo "<br /><div class=news_code align=center>$code</div><br /><br />";
			
			//комменты
			//Постраничная навигация
			$topic_count_page=$conf1[72];
			if(!isset($_GET['page']) || !is_numeric(@$_GET['page']) || @$_GET['page']<1 )$page=1;
			else $page=$_GET['page'];
			if($page > ceil(count($comm)/ $topic_count_page))$page=1;
			$start=$page * $topic_count_page-$topic_count_page;
			$pages=ceil(count($comm)/ $topic_count_page);
			if(empty($_GET['ind']) || !is_numeric(@$_GET['ind']) || @$_GET['ind']>ceil($pages/10)  || @$_GET['ind']<1)$index=1;
			else $index= $_GET['ind'];
			
			//Постраничная навигаця
			if(count($comm)> $topic_count_page)
			{
				echo "<div align=$conf1[74]><div id=comm_blok1>";
				
				if($index>1)echo "
				<a class='navig_passiv' href=$_SERVER[PHP_SELF]?page=".(($index-1)*10)."&ind=".($index-1)."&id=$_GET[id]$id_sear#s title=назад><<</a>";
				
				for($i=$index*10-9,$p=1; $i < $pages+1; $i++,$p++)
				{
					
					if($p>10 )
					{
						echo "<a class='navig_passiv'  href=$_SERVER[PHP_SELF]?page=".($i)."&ind=".($index+1)."&id=$_GET[id]$id_sear#s title=далее>>></a>";
						break;
					}
					if($page==$i)
					echo "<a class='navig_activ' href='$_SERVER[PHP_SELF]?page=$i&amp;ind=$index&amp;id=$_GET[id]$id_sear#s'>$i</a>";
					else
					echo "<a class='navig_passiv' href='$_SERVER[PHP_SELF]?page=$i&amp;ind=$index&amp;id=$_GET[id]$id_sear#s'>$i</a>";
				}
				
				echo "</div></div><br />";
			}
			
			
			for($x=$start,$y=0; $x<count($comm); $x++,$y++)
			{
				if($y==$topic_count_page)break;
				$comm_file=file("$catalog/admin/db/comm/$_GET[id]/$comm[$x]");
				for($n=0;$n<count($comm_file);$n++)$comm_file[$n]=trim($comm_file[$n]);
				$comm_text_adm = explode("**:***:*: ADMIN: ", $comm_file[3]);
				if (count($comm_text_adm)>1) { 
					$answadmin1="<br><div class=\"answadmin rad_com_blok\"><p style='padding:5px;'> <span style='font-size:14px; color:#8a0000; font-weight:bold;'>Админ:</span><br><img src='".$root1."sg_cm/sg_images/user_male.png' alt='' style='width:20px; margin:5px 5px; float:left;'>";
					$answadmin2	="</p><br></div>";	
				$comm_file[3]=$comm_text_adm[0].$answadmin1.$comm_text_adm[1].$answadmin2;}		 
				echo "<div class=\"comm_blok c_".$conf1[74]." rad_com_blok\" >
				<span class=comm_date>$comm_file[1]</span>&nbsp;&nbsp;<span class=comm_name>$comm_file[2]</span><br /><div class=comm_text>$comm_file[3]</div>
				</div>";
			}
			//Постраничная навигаця
			if(count($comm)> $topic_count_page)
			{
				echo "<div align=$conf1[74]><div id=comm_blok1>";
				
				if($index>1)echo "
				<a class='navig_passiv' href=$_SERVER[PHP_SELF]?page=".(($index-1)*10)."&ind=".($index-1)."&id=$_GET[id]$id_sear#s title=назад><<</a>";
				
				for($i=$index*10-9,$p=1; $i < $pages+1; $i++,$p++)
				{
					
					if($p>10 )
					{
						echo "<a class='navig_passiv'  href=$_SERVER[PHP_SELF]?page=".($i)."&ind=".($index+1)."&id=$_GET[id]$id_sear#s title=далее>>></a>";
						break;
					}
					if($page==$i)
					echo "<a class='navig_activ' href='$_SERVER[PHP_SELF]?page=$i&amp;ind=$index&amp;id=$_GET[id]$id_sear#s'>$i</a>";
					else
					echo "<a class='navig_passiv' href='$_SERVER[PHP_SELF]?page=$i&amp;ind=$index&amp;id=$_GET[id]$id_sear#s'>$i</a>";
				}
				
				
				echo "</div></div><br />";
			}
			
			echo "</td>";
			if($conf1[50]==1) $prom=1+$count_foto_text;
			else $prom=$count_foto_text;
			if($conf1[49]==1 && (count($foto)>$prom))
			{
				if(count($foto)>$count_foto_text)
				{
					echo"<td class='valtop w10 pdng1'> ";
					for($n=$prom; $n<count($foto);$n++ )
					{
						$foto[$n]=trim($foto[$n]);
						foto($foto[$n]);
						echo"<br><br />";
					}
					echo "</td>";
				}
			}
			echo"</tr></table>";
			
		}
		else
		{
			echo"<br /><br /><div id=none >По вашему запросу ничего не найдено.</div>";
		}
	}
	
	if(count($list_news)> $topic_count_page)
	{
		//Постраничная навигаця
		echo "<table><tr><td colspan=2>";
		if($index>1)echo "
		<a class='navig_passiv' href=$_SERVER[PHP_SELF]?page=".(($index-1)*10)."&ind=".($index-1)."$link_page title=назад><<</a>";
		
		for($i=$index*10-9,$p=1; $i < $pages+1; $i++,$p++)
		{
			
			if($p>10 )
			{
				echo "<a class='navig_passiv'  href='$_SERVER[PHP_SELF]?page=".($i)."&ind=".($index+1)."$link_page' title=далее>>></a>";
				break;
			}
			if($page==$i)
			echo "<a class='navig_activ' href='$_SERVER[PHP_SELF]?page=$i&amp;ind=$index$link_page'>$i</a>";
			else
			echo "<a class='navig_passiv' href='$_SERVER[PHP_SELF]?page=$i&amp;ind=$index$link_page'>$i</a>";
		}
		
		echo "</td></tr></table>";
	}
	
?>
<script>
	$(".closewin").click(function(){
		$("#win").css("display", "none");
		$("#win input").attr("disabled", "disabled");
	});	
	$( "a.closewin").click(function( event ) {
	event.preventDefault();})
</script>